Deprecated

New report Bank-To-Customer Statement (camt.053.001.08) replacing Bank-To-Customer Report (camt.053.001.02)

As part of our ongoing efforts to improve our platform, we will be introducing new version of Bank-To-Customer Statement, which may require actions from you. The changes will be in effect from the 15th of July, 2026. Additionally, we are introducing a new intraday reconciliation report - Bank-To-Customer Account Report, which will be available in JSON, CSV and CAMT.052.001.08.

Improvements:

  • (API & UI) A new version of the** Bank-To-Customer Statement**, which will be available in CAMT.053.001.08
  • (API & UI) A new intraday reconciliation report - Bank-To-Customer Account Report, which will be available in JSON, CSV and CAMT.052.001.08.

Deprecations:

  • (API, UI & SFTP) **Bank-To-Customer Statement **(CAMT.053.001.02) generated via API and UI is deprecated and will reach End of Life on 15th of July, 2026
  • Bank-To-Customer Statement (CAMT.053.001.02) delivery via SFTP channels is deprecated - "End of Life"-date and Migration will be planned individually with affected users.
  • (API & UI) Account Balance Report generated via API and UI is deprecated and will reach End of Life on 15th of July, 2026
  • (API & UI) Company Account Balance Report (End-of-Day Balance Report) generated via API and UI is deprecated and will reach End of Life on 15th of July, 2026

What This Means for You:

  • This document will provide information on the technical changes, in addition to providing resources to enable a smooth migration
  • After the End of Line (EOL) date,15th of July, 2026, the removal of the in the Bank-To-Customer (CAMT.053 V2) Report will take effect
  • All changes must be adhered to before the 15th of July, 2026 to ensure continued functionality
  • Ensure your integration is updated to handle the new includeTransactions parameter if detailed transaction data is required

Affected APIs and Capabilities:

ISO20022 BANK-TO-CUSTOMER STATEMENT & COMPANY ACCOUNT BALANCE REPORT (END-OF-DAY BALANCE REPORT)

Deprecated endpoints:

  • /v1/reports/iso20022/bank-to-customer-end-of-day
  • /v2/reports/iso20022/bank-to-customer-end-of-day
  • /v2/reports/requests/bank-to-customer-report
  • /v2/reports/requests/company-account-balance-report

New endpoint: /v1/reports/requests/bank-to-customer-statement Guide: https://docs.bankingcircleconnect.com/docs/bank-to-customer-statement

Key Changes:

  • CAMT.053.001.08 support
  • Supporting both CAMT.053 summary statement with balances and CAMT.053 statement with rich transactional data
  • Supporting Account Proxy information
  • Utilizing Reports on Request-capabilities is a prerequisite for API users

For SFTP Users: Bank-To-Customer Statement (CAMT.053.001.02) delivery via SFTP channels is deprecated. Banking Circle will reach out and plan migration activities with the affected users.

Request Body Example

// POST /api/v1/reports/requests/bank-to-customer-statement
{
    "reportFormatType": "xml",
    "transactionDate": "2026-01-22",
    "accountIds": ["05f0f52a-2c08-4cc0-8722-9d85deb364ae"],
    "name": "some-report-name",
    "includeTransactions": false
}

reportFormatType

Format type the report should be generated as. Initially only CAMT.053.001.08 is supported.

transactionDate The date for which the report will be generated. The endpoint will return a 400 Bad Request if the statement is requested with a transactionDate that is current day.

accountIds If any account ids are specified the report will exclusively include data only for those accounts.

name Optional field for custom naming of the report

includeTransactions (NEW) Statement will have an option to include list of Transactions and their details (i.e. "Ntry" + "NtryDtls") rather than just a summary and balances. Default will just show summary (i.e. no "Ntry" + "NtryDtls").

Additional report content: Proxy Account support

If a Proxy Account has been used to resolve account information, the details will be exposed in the statement.

XML Example (Single file for multiple accounts)


<Document>
    ...
    <BkToCstmrStmt>
        ... 
        <Stmt>
            ...
            <Ntry>
                ...
                <NtryDtls>
                    <TxDtls>
                        ...
                        <RltdPties>
                            ...
                            <Cdtr>
                                <Party>
                                    <CtctDtls>
                                        <Nm>John H. Stone</Nm>
                                    </CtctDtls>
                                </Party>
                            </Cdtr>
                            <CdtrAcct>
                                ...
                                <Prxy>
                                    <Tp>
                                        <Prtry>PAYID-EMAL</Prtry>
                                    </Tp>
                                    <Id>[email protected]</Id>
                                </Prxy>
                            </CdtrAcct>
                        </RltdPties>
                        ...
                    </TxDtls>
                </NtryDtls>
            </Ntry>
        </Stmt>
    </BkToCstmrStmt>
</Document>

ACCOUNT BALANCE REPORT

  • Deprecated endpoints:
    • /v1/reports/account-balance-report
    • /v2/reports/requests/account-balance-report
  • New endpoint:
  • Key Changes:
    • CAMT.052.001.08 support
    • Supporting both CAMT.052 summary reports with balances and CAMT.052 reports with rich transactional data
    • Supporting ITBD (Interim Booked Balance) and ITAV (Interim Available Balance) balances
    • Supporting Account Proxy information